<template lang="html">
  <div class="oval-bet-block">
    <div class="upper-block">
      <div class="semicircle__left">
        <div class=""><span class="bl upper">
          <span class="semicircle-numbers">8</span>
        </span></div>
        <div class=""><span class="rd down">
          <span class="semicircle-numbers">23</span>
        </span></div>
      </div>
      <span class="bl">10</span>
      <span class="rd">5</span>
      <span class="bl">24</span>
      <span class="rd">15</span>
      <span class="bl">33</span>
      <span class="rd">1</span>
      <span class="bl">20</span>
      <span class="rd">14</span>
      <span class="bl">31</span>
      <span class="rd">9</span>
      <span class="bl">22</span>
      <span class="rd">18</span>
      <span class="bl">29</span>
      <span class="rd">7</span>
      <span class="bl">28</span>
      <span class="rd">12</span>
      <span class="bl">35</span>
      <div class="semicircle__right">
        <span class="rd sm-1">
          <span class="semicircle-numbers_r">3</span>
        </span>
        <span class="bl sm-2">
          <span class="semicircle-numbers_r mb-2">26</span>
        </span>
        <span class="gr sm-3">
          <span class="semicircle-numbers_r">0</span>
        </span>
        <!-- <div class=""><span class="rd">3</span></div>
        <div class=""><span class="bl">26</span></div>
        <div class=""><span class="rd">0</span></div> -->
      </div>
    </div>
    <div class="middle-block">
      <div class="middle-block__text">
        <span class="mdl-1">Малая серия 5/8</span>
        <span class="border-mdl mdl-2">Орфолайнс</span>
        <span class="mdl-3">Боьшая серия 0/2/3</span>
      </div>
    </div>
    <div class="down-block">
      <span class="rd">8</span>
      <span class="bl">23</span>
      <span class="rd">10</span>
      <span class="bl">5</span>
      <span class="rd">24</span>
      <span class="bl">15</span>
      <span class="rd">33</span>
      <span class="bl">1</span>
      <span class="rd">20</span>
      <span class="bl">14</span>
      <span class="rd">31</span>
      <span class="bl">9</span>
      <span class="rd">22</span>
      <span class="bl">18</span>
      <span class="rd">29</span>
      <span class="bl">7</span>
      <span class="rd">28</span>
    </div>
  </div>
</template>

<script>
export default {
}
</script>

<style lang="scss" scoped>

  .bet-block {
    align-items: center;
    .oval-bet-block {
      width: 70%;

      border: 3px solid white;

      margin: 0 auto;

      margin-bottom: 20px;
    }
  }
  .bl {
    background-color: black;
  }
  .rd {
    background-color: red;
  }
  .gr {
    background-color: green;
  }
  .oval-bet-block {
    font-weight: bold;
    font-size: 18px;
    font-family: sans-serif;
    div {
      display: flex;
    }
    .upper-block {
      margin-bottom: 55px;
      position: relative;
      .semicircle__left {
        position: absolute;
        transform: rotate(-90deg);
        left: -113px;
        top: 35px;
        div {
          .upper {
            width: 70px;
            height: 70px;
            border-radius: 90px 0 0 0;

            border: 3px solid white;
          }
          .down {
            width: 70px;
            height: 70px;
            border-radius: 0 90px 0 0;

            border: 3px solid white;
          }
        }
      }
      .semicircle__right {
        z-index: 1;

        position: absolute;
        transform: rotate(90deg);
        right: -114px;
        top: 37px;
        .sm-1 {
          border-radius: 128px 0px 0 0;
          margin-bottom: -25px;
        }
        .sm-3 {
          border-radius: 0px 60px 0 0;
        }
        span {
          border: 3px solid white;

          width: 44.5px;
          height: 65px;
        }
        div {
          .upper {
            width: 70px;
            height: 70px;
            border-radius: 65px 0 0 0;

            border: 3px solid white;
          }
          .down {
            width: 70px;
            height: 70px;
            border-radius: 0 65px 0 0;

            border: 3px solid white;
          }
        }
      }
    }
    .down-block {
      margin-top: 13px;
      span {

      }
    }
    .middle-block {
      position: relative;
      .middle-block__text {
        font-weight: bold;
        font-size: 18px;
        font-family: sans-serif;

        width: 758px;
        height: 67px;

        position: absolute;
        top: -58px;
        right: -33px;

        background: #3d5c11;

        display: flex;
        justify-content: center;
        align-items: center;

        border-radius: 40px;
        border: 3px solid white;

        margin-left: -55px;

        z-index: 1;
        .border-mdl {
          height: 100%;
          border-right: 3px solid white;
          border-left: 3px solid white;
        }
      }
      .mdl-1 {width: 37%;}
      .mdl-2 {width: 30%;}
      .mdl-3 {width: 50%;}
    }
    span {
      width: 44px;
      height: 39px;

      display: flex;
      align-items: center;
      justify-content: center;

      color: white;
    }
  }

  .semicircle-numbers {
    height: max-content;
    width: max-content;

    transform: rotate(90deg);
  }
  .semicircle-numbers_r {
    height: max-content;
    width: max-content;

    transform: rotate(-90deg);

    border: none!important;
  }
  .mb-2 {
    margin-bottom: 20px;
  }
</style>
